package com.base.datarecovery.activity.screenshot

import android.content.Intent
import android.widget.Toast
import androidx.activity.addCallback
import com.base.datarecovery.ads.AdmobMaxHelper
import com.base.datarecovery.ads.admob.AdmobInterstitialUtils
import com.base.datarecovery.databinding.ActivityScreenShotAnimationBinding
import com.base.datarecovery.help.BaseActivity
import com.base.datarecovery.utils.LogEx
import kotlin.random.Random

class ScreenShotAnimationActivity : BaseActivity<ActivityScreenShotAnimationBinding>() {

    override val binding: ActivityScreenShotAnimationBinding by lazy {
        ActivityScreenShotAnimationBinding.inflate(layoutInflater)
    }

    override fun initView() {
        binding.root.postDelayed({
            AdmobMaxHelper.admobMaxShowInterstitialAd(this) {
                startActivity(Intent(this, ScreenShotActivity::class.java))
                finish()
            }
        }, Random.nextLong(3000, 4500))
    }

    override fun initListener() {
        super.initListener()
        onBackPressedDispatcher.addCallback {
            Toast.makeText(this@ScreenShotAnimationActivity, "wait a moment", Toast.LENGTH_SHORT).show()
        }
    }

}